Bug 864856 - [abrt] rawtherapee-4.0.9-1.fc17: Process /usr/bin/rawtherapee was killed by signal 11 (SIGSEGV)
[abrt] rawtherapee-4.0.9-1.fc17: Process /usr/bin/rawtherapee was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
abrt_hash:a356488a9a08fbea92b8b5540e5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 05:51 EDT by G De Moro
Modified: 2013-08-01 14:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (2.23 KB, text/plain)
2012-10-10 05:51 EDT, G De Moro
no flags Details
File: backtrace (36.95 KB, text/plain)
2012-10-10 05:51 EDT, G De Moro
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-10 05:51 EDT, G De Moro
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-10 05:51 EDT, G De Moro
no flags Details
File: maps (42.83 KB, text/plain)
2012-10-10 05:51 EDT, G De Moro
no flags Details
File: dso_list (8.55 KB, text/plain)
2012-10-10 05:51 EDT, G De Moro
no flags Details
File: build_ids (3.28 KB, text/plain)
2012-10-10 05:51 EDT, G De Moro
no flags Details
File: open_fds (503 bytes, text/plain)
2012-10-10 05:51 EDT, G De Moro
no flags Details
File: var_log_messages (328 bytes, text/plain)
2012-10-10 05:51 EDT, G De Moro
no flags Details

  None (edit)
Description G De Moro 2012-10-10 05:51:11 EDT
Description of problem:
I tried to open a raw (nex) file with rawtherapee and it crashed

Version-Release number of selected component:
rawtherapee-4.0.9-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        rawtherapee /home/moro/Immagini/DSC_0261.NEF
crash_function: rtengine::ImProcFunctions::firstAnalysisThread
kernel:         3.5.5-2.fc17.x86_64

truncated backtrace:
:Thread no. 11 (1 frames)
: #0 rtengine::ImProcFunctions::firstAnalysisThread at /usr/src/debug/rawtherapee-4.0.9/rtengine/improcfun.cc:118
Comment 1 G De Moro 2012-10-10 05:51:15 EDT
Created attachment 624726 [details]
File: environ
Comment 2 G De Moro 2012-10-10 05:51:21 EDT
Created attachment 624727 [details]
File: backtrace
Comment 3 G De Moro 2012-10-10 05:51:23 EDT
Created attachment 624728 [details]
File: limits
Comment 4 G De Moro 2012-10-10 05:51:26 EDT
Created attachment 624729 [details]
File: cgroup
Comment 5 G De Moro 2012-10-10 05:51:30 EDT
Created attachment 624730 [details]
File: maps
Comment 6 G De Moro 2012-10-10 05:51:35 EDT
Created attachment 624731 [details]
File: dso_list
Comment 7 G De Moro 2012-10-10 05:51:38 EDT
Created attachment 624732 [details]
File: build_ids
Comment 8 G De Moro 2012-10-10 05:51:43 EDT
Created attachment 624733 [details]
File: open_fds
Comment 9 G De Moro 2012-10-10 05:51:46 EDT
Created attachment 624734 [details]
File: var_log_messages
Comment 10 sylvain.leonard7 2012-10-16 04:56:30 EDT
I just wanted to do an auto level correction on a PEF image.

backtrace_rating: 4
Package: rawtherapee-4.0.9-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Thibault North 2012-11-02 09:43:59 EDT
Thanks. Will push an update ASAP.
Comment 12 Fedora End Of Life 2013-07-04 02:34:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 14:09:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.